@need 3200

@node arch Commands in General
@chapter arch Commands in General

Every command in @code{arch} is accessed via the program @code{larch}, using an
ordinary sub-command syntax:

@example
@group
        % larch <sub-command> <options> <parameters>
@end group
@group
@end group
@end example

A list of sub-commands can be obtained from:

@example
@group
        % larch --help-commands
@end group
@group
@end group
@end example

The most complete documentation for each command is available via its
help message.  The help messages in @code{arch} are roughly comparable to
traditional unix @code{man} pages.   For example, try:

@example
@group
        % larch make-archive --help
        create a new archive directory
        usage: make-archive [options] (-u | name) directory
@end group
@group
        
@end group
@group
         -V --version                  print version info
         -h --help                     display help
@end group
@group
        
@end group
@group
         -r --readme file              save FILE as the README
                                       for this archive
@end group
@group
        
@end group
@group
         -u --update                   update an existing archive
@end group
@group
        
@end group
@group
        NAME is the global name for the archive.  It must be an
        email address with a fully qualified domain name, optionally
        followed by "--" and a string of letters, digits, periods
        and dashes.
@end group
@group

@end group
@group
        [....]
@end group
@group

@end group
@end example

There is a great deal of regularity among commands regarding option
names and parameter syntax.  Hopefully, you'll pick this up as you
learn the various commands.




